Subject: Re: bug#48072: 28.0.50: dired-read-shell-command: handle empty input properly [PATCH]

From: Michael Albinus <[email-masked]>
Date: Wed, 28 Apr 2021 19:10:00 +0200

Eli Zaretskii <[email-masked]> writes:

>> > I think the message comes from process.c:status_notify, which is
>> > called when the process is deleted after it exits.
>>
>> Thanks. It was frustrating not being able to find it.
>>
>> 1) Is there a way to make it user-extensible?
>>
>> 2) Can it report some indication of STDERR or shell variable '$?' ?
>>
>> 3) The '&wait' shouldn't be reported. It's just confusing cruft to a user.
>
> I guess you can define your own sentinel function, and then do there
> what you want.

The default mechanism to hide this message is to take #'ignore as
sentinel :-)

> For STDERR, you could redirect it as you see fit.

Yes, although I must confess there are limitations for STDERR for remote
processes.

Best regards, Michael.